# class Nagios::Config

### Public Class Methods

each() { |object| ... } click to toggle source

    # File lib/puppet/external/nagios.rb, line 42
    def Config.each
      Nagios::Object.objects.each { |object|
        yield object
      }
    end

import(config) click to toggle source

    # File lib/puppet/external/nagios.rb, line 29
    def Config.import(config)

      text = String.new

      File.open(config) { |file|
        file.each { |line|
          text += line
        }
      }
      parser = Nagios::Parser.new
      parser.parse(text)
    end